# $Revision: 1.33 $, $Date: 2010/06/06 08:41:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SGML
%define		pnam	SPGroveBuilder
Summary:	SGML::SPGroveBuilder Perl module - load an SGML, XML, or HTML document
Summary(pl.UTF-8):	Moduł Perla SGML::SPGroveBuilder - wczytywanie dokumentów SGML, XML i HTML
Name:		perl-SGML-SPGroveBuilder
Version:	2.01
Release:	13
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5ecd47bf15af12b868c8260f21cd93cf
Patch0:		%{name}-opensp.patch
Patch1:		%{name}-perl-5.6.patch
BuildRequires:	gcc-c++
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	opensp-devel >= 2:1.5.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SGML::SPGrove is a Perl 5 module for loading SGML, XML, and HTML
document instances into SGML::Grove objects using SP - James Clark's
SGML Parser.

%description -l pl.UTF-8
Moduł Perla SGML::SPGrove służy do wczytywania dokumentów SGML, XML
oraz HTML do obiektów SGML::Grove, korzystając z SP - parsera SGML
Jamesa Clarka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes ChangeLog README ToDo
%{perl_vendorarch}/SGML
%dir %{perl_vendorarch}/auto/SGML
%dir %{perl_vendorarch}/auto/SGML/SPGroveBuilder
%{perl_vendorarch}/auto/SGML/SPGroveBuilder/SPGroveBuilder.bs
%attr(755,root,root) %{perl_vendorarch}/auto/SGML/SPGroveBuilder/SPGroveBuilder.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SGML-SPGroveBuilder.spec,v $
Revision 1.33  2010/06/06 08:41:49  arekm
- release 13

Revision 1.32  2008/02/10 12:19:01  arekm
- rel 12

Revision 1.31  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.29  2004/11/03 22:30:41  paladine
- formatting

Revision 1.28  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.27  2004/05/06 18:01:31  ankry
- fixed perl-devel BR

Revision 1.26  2004/05/01 00:34:35  ankry
- tests added

Revision 1.25  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.24  2003/12/28 16:34:12  ankry
- more informative summaries/descriptions

Revision 1.23  2003/12/27 23:46:24  ankry
- fixed BR

Revision 1.22  2003/12/27 23:01:59  ankry
- rel. 11

Revision 1.21  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.20  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.16  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.15  2003/02/18 15:38:01  ankry
- massive attack: change CPAN URLs

Revision 1.14  2002/07/16 23:50:34  ankry
- translations, cleaning
- added %%{perl_sitearch}/SGML, %%{perl_sitearch}/auto/SGML{,/SPGroveBuilder}
  dirs
- new %%doc
- fixed License field
- fixed pl description
- release 8

Revision 1.13  2002/07/10 08:48:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.12  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.11  2002/04/11 19:22:17  kloczek
- release 7: rebuild against opensp 1.5pre5.

Revision 1.10  2002/02/25 10:34:13  depesz
cleanup; revision++

Revision 1.9  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/22 03:12:29  kloczek
- release 5.

Revision 1.7  2002/02/13 14:19:54  depesz
automatic: Source location unified, Relase Up

Revision 1.6  2002/02/12 01:46:50  kloczek
- release 3.

Revision 1.5  2002/02/10 15:41:13  depesz
adapterized

Revision 1.4  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/12 10:57:16  qboosh
- pl description; release 2

Revision 1.2  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
